| AOMedia AV1 Codec

COMP_RD_STATS Struct Reference

Rdcost stats in compound mode. More...

`#include <block.h>`

## Data Fields
int32_t | rate [COMPOUND_TYPES]
| Rate of the compound modes.
int64_t | dist [COMPOUND_TYPES]
| Distortion of the compound modes.
int32_t | model_rate [COMPOUND_TYPES]
| Estimated rate of the compound modes.
int64_t | model_dist [COMPOUND_TYPES]
| Estimated distortion of the compound modes.
int | comp_rs2 [COMPOUND_TYPES]
| Rate need to send the mask type.
int_mv | mv [2]
| Motion vector for each predictor.
MV_REFERENCE_FRAME | ref_frames [2]
| Ref frame for each predictor.
PREDICTION_MODE | mode
| Current prediction mode.
int_interpfilters | filter
| Current interpolation filter.
int | ref_mv_idx
| Refmv index in the drl.
int | is_global [2]
| Whether the predictors are GLOBALMV.
INTERINTER_COMPOUND_DATA | interinter_comp
| Current parameters for interinter mode.

## Detailed Description

Rdcost stats in compound mode.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h